Bug 813954 - Various dm_task_run failures cause many continuing problems in LVM
Various dm_task_run failures cause many continuing problems in LVM
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
: 654116 (view as bug list)
Depends On:
Blocks: 807971 1049888 445253 644071 654116 1077405
  Show dependency treegraph
 
Reported: 2012-04-18 16:41 EDT by Jonathan Earl Brassow
Modified: 2017-04-04 16:45 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 844493 1077405 (view as bug list)
Environment:
Last Closed: 2017-04-04 16:45:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2012-04-18 16:41:44 EDT
Several bugs that are attributed to mirroring or other LVM components boil down to issues with 'dm_task_run'.  These 'dm_task_run' errors prop-up intermittently and make the bugs difficult to reproduce.  Often, the way to reproduce is loop over a particular operation until /something/ is hit.

This bug is going to be used to encapsulate the various RHEL5 bugs that have popped up due to 'dm_task_run' failures.  The 'dm_task_run' issues should be solved before these other dependent bugs.
Comment 1 Zdenek Kabelac 2012-10-19 04:17:56 EDT
Do we have any  -vvvv traces of failing commands here ?

There should be reasonable good explanation in debug log with the reason of dm_task_run failure.
Comment 2 Nenad Peric 2013-05-23 09:43:33 EDT
The verbose output would be tough to catch through a script, but I will try to do so in the near future. 

In any case the dm_task_run failures are still present and show up very often with mirror failure tests we have.
Comment 3 Jonathan Earl Brassow 2013-05-29 13:44:45 EDT
Note that even though bug 644071 is fixed, there are still 'dm_task_run' failures occurring.
Comment 6 Zdenek Kabelac 2013-09-03 09:15:09 EDT
Please attach normally readable file for this public open BZ.
Comment 19 RHEL Product and Program Management 2014-01-22 11:34:04 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 20 Peter Rajnoha 2014-02-05 10:32:15 EST
We need the information as requested in comment #14 to move along with the analysis of the problem.... (the customer case attached here)
Comment 22 Peter Rajnoha 2014-04-08 07:04:43 EDT
So, do we have any more debug information here to hook on? Does this happen only on RHEL5 or is it seen on RHEL6/7 as well?
Comment 23 Peter Rajnoha 2014-04-10 05:01:20 EDT
*** Bug 654116 has been marked as a duplicate of this bug. ***
Comment 24 RHEL Product and Program Management 2014-07-15 20:27:25 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 25 Chris Williams 2017-04-04 16:45:19 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.